Forums > Max For Live

live.thisdevice missing? Errors when trying to use plug-ins that access the API

November 30, 2012 | 2:32 am

I have started receiving errors when using Max4Live devices that scan the API for parameters to modulate. Namely the LFOs and Modulator by Robert Henke, but also other similar plug-ins that populate menus with parameters. Any thoughts? This used to work fine. The Max window that comes up is posted in screen shot below. It suggests that the object live.thisdevice is missing and also a javascript error. If this is the case then how do I reinstall the devices I need?

Any thought gratefully received!

[attachment=209408,4697]

Attachments:
  1. Screenshot20121129at17.29.58.png

November 30, 2012 | 3:36 am

I see this error with users often when they are running old versions of Max/Live. Make sure you’re using the most recent versions, and that Live’s preferences are pointing to a recent version of a Max installation.


November 30, 2012 | 3:45 am

Thanks a lot for your answer – It’s the latest Ableton and Max 5.1.6. I have been warned off upgrading to 6 when using Max4Live. Is this wrong do you think? Should I do it?


November 30, 2012 | 4:08 am

Upgrading worked – thanks!


Viewing 4 posts - 1 through 4 (of 4 total)